#
# DJ 11 Mar 2010
# Edited to compiler hashtable.c and hashtable_itr.c only

CC=gcc
#CC=/usr1/expsrc/gcc-3.4.4/gcc/xgcc -B/usr1/expsrc/gcc-3.4.4/gcc/ -fbounds-checking -DVALGRIND

CFLAGS=-I/usr/local/include -Wall -DFULL_POSIX -g
LFLAGS=
LIBS=-lm  -L/usr/local/lib -lgmp -lgmp -larchive

all: hashtable.o hashtable_itr.o

#tester: hashtable.o tester.o hashtable_itr.o
#	$(CC) $(CFLAGS) -O -lm -o tester hashtable.o hashtable_itr.o tester.o
#
#all: tester old_tester
#
#tester.o:	tester.c
#	$(CC) $(CFLAGS) -O -c tester.c -o tester.o
#
#old_tester: hashtable_powers.o tester.o hashtable_itr.o
#	$(CC) $(CFLAGS) -O -o old_tester hashtable_powers.o hashtable_itr.o tester.o
#
#hashtable_powers.o:	hashtable_powers.c
#	$(CC) $(CFLAGS) -O -c hashtable_powers.c -o hashtable_powers.o

hashtable.o:	hashtable.c
	$(CC) $(CFLAGS) -O -c hashtable.c -o hashtable.o

hashtable_itr.o: hashtable_itr.c
	$(CC) $(CFLAGS) -O -c hashtable_itr.c -o hashtable_itr.o

tidy:
	rm *.o

clean: tidy
#	rm -f tester old_tester
